package com.xhkjedu.sapi.controller.system;

import com.xhkjedu.sapi.service.system.SchoolUpService;
import com.xhkjedu.vo.ResultVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/*
 * @Description: 处理学年升级虚拟班 http://127.0.0.1:8087/sup/hdl
 * @Author: WN
 * @Date: 2024/8/28 16:20:34
 **/
@Slf4j
@RestController
@RequestMapping("/sup")
public class SchoolUpController {
    @Resource
    private SchoolUpService schoolUpService;


    /**
     * @Description 伙伴学校选择列表
     * @Param [school]
     * @Author ywx
     * @Date 2023/4/10 15:20
     * @return com.xhkjedu.vo.ResultVo
     **/
    @GetMapping("/hdl")
    public ResultVo schoolUpHandle() {
        schoolUpService.schoolUpHandle();
        return new ResultVo(0, "处理成功");
    }
}
