package com.xhkjedu.annotation;

import java.lang.annotation.*;

/*
 * @Description:自定义注解，主要作用在需要记录操作日志的接口
 * @Author: WN
 * @Date: 2023/11/15 14:41:48
 **/
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Action {

    /**
     * 操作名称
     */
    String value() default "";
}
