package com.xhkjedu.smarking.mapper.report.reportother;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportother.MsrReportparam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷指标参数-考试报告参数表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrReportparamMapper extends TkMapper<MsrReportparam> {

    //获取考试指定图例对应参数
    List<MsrReportparam> listReportparamByRpbelong(@Param("examid") Integer examid, @Param("rpbelong") String rpbelong, @Param("reportcode") String reportcode);

    //批量删除
    int deleteBatchReportparam(@Param("list") List<Integer> list);
}
