package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级科目成绩排名(优劣名次)分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_goodbad")
public class MsrClassGoodbad extends BaseBean {
    @Id
    //阅卷报告-班级科目成绩排名(优劣名次)分析ID
    private Integer cgid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //优秀学生后N名/百分比
    private Double yxrate;
    //优秀学生后N名/百分比人数
    private Integer yxnum;
    //优秀学生后N名/百分比平均分
    private Double yxavgscore;
    //待提高学生后N名/百分比
    private Double dtgrate;
    //待提高学生后N名/百分比人数
    private Integer dtgnum;
    //待提高学生后N名/百分比平均分
    private Double dtgavgscore;
    //学科短板人数
    private Integer dbnum;
}
