package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科名次和比例表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_rankrate")
public class MsrClassRankrate extends BaseBean {
    @Id
    //阅卷报告-班级学科名次和比例ID
    private Integer crid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //班级名称
    private String classname;
    //参考人数
    private Integer stunum;
    //类型（1名次 2分数 3比例）
    private Integer rtype;
    //主类型名（综合里表格头展示用）
    private String ztname;
    //次类型名（综合里表格头展示用）
    private String ctname;
    //人数
    private Integer rnum;
    //占比
    private Double rrate;
}
