package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级学科前60分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_top")
public class MsrClassTop extends BaseBean {
    @Id
    //阅卷报告-班级学科前60分析ID
    private Integer ctid;
    //考试ID
    private Integer examid;
    //班级ID（含全体）
    private Integer classid;
    //科目ID（含总分）
    private String subjectid;
    //参考人数
    private Integer stunum;
    //班级前60%人数
    private Integer btnum;
    //班前60%所占班级人数比例
    private Double btrate;
    //班前60%人数平均分
    private Double btavgscore;
    //班前60%生学id字符串
    private String btstuids;
    //校级前60%人数
    private Integer xtnum;
    //校前60%人数平均分
    private Double xtavgscore;
    //校前60%生学id字符串
    private String xtstuids;
}
