package com.xhkjedu.smarking.model.report.reportother;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-总体分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_exam")
public class MsrExam extends BaseBean {
    @Id
    //阅卷报告-总体分析ID
    private Integer reid;
    //考试ID
    private Integer examid;
    //班级数量
    private Integer classnum;
    //总人数
    private Integer totalnum;
    //实考人数（参考人数）
    private Integer stunum;
    //缺考数量
    private Integer missnum;
    //考试科目数量
    private Integer subjectnum;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //标准差
    private Double bzc;
    //保存时间
    private Integer createtime;
}
