package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-科目班级分数分布区间分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_class")
public class MsrSubjectClass extends BaseBean {
    @Id
    //阅卷报告-科目班级分数分布区间分析ID
    private Integer scid;
    //考试ID
    private Integer examid;
    //科目ID（含总分）
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //区间名称
    private String qjname;
    //区间人数
    private Integer qjnum;
    //占比
    private Double qjrate;
    //区间平均得分率
    private Double qjavgrate;
    //生学id字符串
    private String stuids;
}
