package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-学科知识点分段区间表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_point_section")
public class MsrSubjectPointSection extends BaseBean {
    @Id
    //阅卷报告-学科知识点分段区间
    private Integer spsid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //知识点ID
    private String pointid;
    //知识点层级1一级2二级3三级
    private Integer pointlevel;
    //分数段范围
    private String scoresection;
    //平均得分率
    private Double avgrate;
}
