package com.xhkjedu.smarking.vo.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import java.util.List;

/**
 * @Description 阅卷分配VO
 * @Author YWX
 * @Date 2024/10/28 16:51
 **/
@Data
public class MsCheckParam extends BaseBean {
    //试卷ID
    private Integer mpid;
    //题块ID
    private Integer mblockid;
    //题块ID集合
    private List<Integer> mblockids;
    //操作人ID
    private Integer handleid;
    //学校id
    private Integer schoolid;
    //评卷方式1单评2双评
    private Integer checktype;
    //学生题块ID
    private Integer mpsbid;
    //用户类型999超级管理员0学校管理员1老师2学生
    private Integer usertype;
    //分配方式1平均分配2效率优先3定量分配
    private Integer dispenseway;
    //考试试题表id
    private Integer mptqid;
    //批阅设置：1按班设置2按题设置3按题块设置
    private Integer correcttype;
    //序号
    private Integer taskorder;
    //阅卷批阅教师任务ID
    private Integer mpcttid;
    //科目id
    private String subjectid;
    //阅卷仲裁教师任务ID
    private Integer mpctaid;
    //疑难卷教师任务ID
    private Integer mpctpid;
}
