package com.xhkjedu.smarking.vo.report.reportother;

import com.xhkjedu.smarking.model.report.reportother.MsrReportparam;
import lombok.Data;

import java.util.List;

/**
 * @Description：报告参数
 * @Author: WN
 * @Date: 2024/12/9 14:25:28
 **/
@Data
public class ReportParams {
    //考试ID
    private Integer examid;

    //归属报告模块编码：zh综合报告 xj校级报告 xk学科报告 bj班级报告 xs学生报告 mtzl命题质量报告 jxzl教学质量报告 xksy学科素养报告
    private String reportcode;

    //归属：rank排行榜 scorerate班级对比得分率 allrate班级对比表综合率  allrate班级对比表综合率 quesummary试题汇总 scoresection分数分段统计
    // rankrate名次和比例分析  gradescore分档分数线 nearline临界生群体分析 subjectshow学科考试表现 keystu重点学生信息
    private String rpbelong;

    //操作人ID
    private Integer handleid;

    private List<MsrReportparam> params;//所有参数集合
}
