package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级试题小题分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_question")
public class MsrClassQuestion extends BaseBean {
    @Id
    //阅卷报告-班级试题小题分析ID
    private Integer cqid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级ID（含全体）
    private Integer classid;
    //试卷试题id
    private Integer mptqid;
    //题号
    private String qn;
    //试题类型（1客观题 2主观题）
    private Integer qtype;
    //满分
    private Double fullscore;
    //参考人数
    private Integer stunum;
    //班级最高分
    private Double classmaxscore;
    //班级最低分
    private Double classminscore;
    //班级平均分
    private Double classavgscore;
    //班级平均得分率
    private Double classavgrate;
    //校最高分
    private Double schoolmaxscore;
    //校最低分
    private Double schoolminscore;
    //校平均分
    private Double schoolavgscore;
    //校平均分得分率
    private Double schoolavgrate;
    //得分率
    private Double scorerate;
    //得分率差
    private Double scoreratec;
    //难度
    private Double nd;
    //难度描述
    private String ndms;
    //难度范围
    private String ndfw;
    //标准差
    private Double bzc;
    //差异系数
    private Double cyxs;
    //区分度
    private Double qfd;
    //区分度描述
    private String qfdms;
    //区分度范围
    private String qfdfw;
    //鉴别指数
    private Double jbzs;
    //正确答案
    private String zqda;
    //正确率
    private Double zqrate;
    //零分人数
    private Integer lfnum;
    //零分人数ID
    private String lfids;
    //零分率
    private Double lfrate;
    //满分人数
    private Integer mfnum;
    //满分人数ID
    private String mfids;
    //满分人数占比
    private Double mfrate;
}
