package com.xhkjedu.suser.model.system;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description：用户组件表
 * @Author: WN
 * @Date: 2024/7/19 14:39:09
 **/
@Table(name = "t_user_component")
@Data
public class TUserComponent {
    @Id
    private Integer ucid;

    //用户id
    private Integer userid;

    //组件code
    private String ccode;

    //组件宽（份数）
    private Integer cwidth;

    //组件高（份数）
    private Integer cheight;

    //组件排序
    private Integer corder;

    //创建时间
    private Integer createtime;
}
